<template>
  <a-box-l
    data-cid="{ BhAttachmentListUi }"
    class="reset p-0 border border-gray-200 rounded-md"
  >
    <a-stack-l role="list" class="reset space-y-0 divide-y divide-gray-200">
      <template v-for="(attachment, index) in attachments">
        <bh-attachment-ui
          :key="index"
          :attachment="attachment"
          role="listitem"
        />
      </template>
    </a-stack-l>
  </a-box-l>
</template>

<script>
export default {
  name: 'BhAttachmentListUi',
  props: {
    attachments: {
      type: Array,
      default: () => [],
    },
  },
};
</script>
